/**
 * CMI : Cluster Method Invocation
 * Copyright (C) 2008 Bull S.A.S.
 * Contact: carol@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA
 * --------------------------------------------------------------------------
 * $Id: PolicyStrategyManagerUtil.java 1801 2008-05-19 17:22:05Z eyindanga $
 * --------------------------------------------------------------------------
 */

package org.ow2.cmi.controller.server.manager;


import org.ow2.cmi.loader.ArchiveId;


/**
 * Utilitary for default policy/strategy manager.
 * @author The new CMI team
 *
 */
public class PolicyStrategyManagerUtil {

    /**Build an Id for the archive before sharing it to all the cluster.
     * @param archiveHost Id of the archive owner.
     * @param location location of the archive.
     * @return archive Id
     */
    public static ArchiveId buildArchiveId(final String archiveHost, final String location) {
        return new ArchiveId(archiveHost, location);
    }
}
